Applications API
The Applications API manages the Pushwoosh applications on your account. Use it to create, update, delete, and list applications, download their configuration files, and turn platforms on or off. To set platform credentials after you create an application, use the App configuration API.
createApplication
Anchor link toPOST https://api.pushwoosh.com/json/1.3/createApplication
Creates a new application on the account.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| authorize_all_tokens | boolean | Allows all API tokens to communicate with this app. |
| auth* | string | API access token from Pushwoosh Control Panel. |
| icon | string | Base64-encoded binary content of png file. |
| sdk_ios | string | iOS SDK type. Possible values: “pw” or “corona”. For Corona, push payload is different. |
| sdk_android | string | Android SDK type. Possible values: “pw”, “corona”, “phonegap”. AppPresser users select “phonegap”. |
| title* | string | Title for the new app in Pushwoosh. |
Example response:
{ "status_code": 200, "status_message": "OK", "response": { "application": "1DC69-73EDB" }}Example code:
{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "icon": "iVBORw0KGgoAAAANSUhEUgAAA...", // optional. Base-64 encoded binary content of png file "authorize_all_tokens": true, // optional. If true, allows all api tokens to communicate with this app "sdk_ios": "pw", // optional. Possible values are "pw" or "corona" "sdk_android": "pw", // optional. Possible values are "pw", "corona", or "phonegap" "title": "APP_TITLE" // required. Title for the new app in Pushwoosh }}updateApplication
Anchor link toPOST https://api.pushwoosh.com/json/1.3/updateApplication
Updates the application settings.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| auth* | string | API access token from Pushwoosh Control Panel. |
| application* | string | Pushwoosh application code |
| icon | string | Base64-encoded binary content of png file. |
| sdk_ios | string | iOS SDK type. Possible values: “pw” or “corona”. For Corona, push payload is different. |
| sdk_android | string | Android SDK type. Possible values: “pw”, “corona”, “phonegap”. AppPresser users select “phonegap”. |
| title | string | New title for the app in Pushwoosh. |
{ "status_code": 200, "status_message": "OK", "response": null}{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "application": "XXXXX-XXXXX", // required. application code of the app you want to update "icon": "iVBORw0KGgoAAAANSUD6...", // optional. Base-64 encoded binary content of png file "sdk_ios": "pw", // optional. Possible values are "pw" or "corona" "sdk_android": "pw", // optional. Possible values are "pw", "corona", or "phonegap" "title": "APP_TITLE" // optional. New title for the app in Pushwoosh }}deleteApplication
Anchor link toPOST https://api.pushwoosh.com/json/1.3/deleteApplication
Deletes the app from the account.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| auth* | string | API access token from Pushwoosh Control Panel. |
| application* | string | Pushwoosh application code |
{ "status_code": 200, "status_message": "OK", "response": null}{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "application": "XXXXX-XXXXX" // required. Pushwoosh application code }}getApplication
Anchor link toPOST https://api.pushwoosh.com/json/1.3/getApplication
Gets details about the app.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| auth* | string | API access token from Pushwoosh Control Panel. |
| application* | string | Pushwoosh application code |
{ "status_code": 200, "status_message": "OK", "response": { "application": { "adm_cid": "", "adm_secret": "", "android_api_type": "x31", "android_gcm_api_key": "x7836363631366236353566366236353739", "android_sdk": "x7077", "icon_url": null, "ios_gateway": "x783330", "ios_key_management_type": "x783631373537343666", "ios_key_password": "x7836353336363236353335333736353333", "ios_sdk": "x7077", "title": "0 Application For test", "providers": { "ios": true, "amazon": false, "android": false, "chrome": false, "email": false, "firefox": false, "huawei_android": false, "internet_explorer": false, "osx": false, "safari": false, "sms": false, "web": false, "whats_app": false, "windows": false }, "languages": { "en": "34", "zh": "12", "sv": "7", "de": "6", "pt": "6" } } }}{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required API access token from Pushwoosh Control Panel "application": "XXXXX-XXXXX" // required. Pushwoosh application code }}getApplications
Anchor link toPOST https://api.pushwoosh.com/json/1.3/getApplications
Gets the list of applications on the account. Can return result with pagination.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| auth* | string | API access token from Pushwoosh Control Panel. |
| page | integer | The page number for pagination. |
Example request
Anchor link to{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "page": 2 // optional. The page number for pagination }}Response
Anchor link toIf there are more than 100 applications in the account, the response includes current page and total amount of pages.
Example Response
Anchor link to{ "status_code": 200, "status_message": "OK", "response": { "page": 1, // Current page "total": 2, // Total amount of pages "applications": [{ "APPLICATION_CODE": "MyApp1" }, { "APPLICATION_CODE": "MyApp2" }] }}getApplicationFile
Anchor link toPOST https://api.pushwoosh.com/json/1.3/getApplicationFile
Gets the configuration files related to the app.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| auth* | string | API access token from Pushwoosh Control Panel. |
| application* | string | Pushwoosh application code |
| file* | string | Identifier of the file to retrieve. See values below. |
{ "status_code": 200, "status_message": "OK", "response": null}{ "request": { "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "application": "XXXXX-XXXXX", // required. Pushwoosh application code "file": "ios_auto_privatekey" // required. identifier of the file to retrieve. See values below }}Possible values for the “file” parameter:
Anchor link to`“ios_auto_privatekey” | “ios_manual_privatekey” | “ios_auto_certificate” | “ios_manual_certificate” | “ios_push_certificate” | “ios_provisioning_profile” | “macos_manual_privatekey” | “macos_manual_certificate” | “macos_push_certificate” | “safari_manual_privatekey” | “safari_push_certificate” | “safari_push_package” |
Response example:
-----BEGIN CERTIFICATE-----...-----END CERTIFICATE----------BEGIN RSA PRIVATE KEY-----...-----END RSA PRIVATE KEY-----setApplicationPlatformStatus
Anchor link toPOST https://api.pushwoosh.com/json/1.3/setApplicationPlatformStatus
Changes the platform’s status of the app.
Request Body
Anchor link to| Name | Type | Description |
|---|---|---|
| auth* | string | API access token from Pushwoosh Control Panel. |
| application* | string | Pushwoosh application code |
| platform* | integer | The platform type. See platform types list below. |
| status* | string | ”enable” or “disable” |
{ "status_code": 200, "status_message": "OK", "response": { "message": "iOS pushes are disabled", "available_platforms": { "iOS": false, "Android": true, "OS X": false, "Windows": false, "Amazon": false, "Safari": false, "Chrome": true, "Firefox": false, } }}{ "request": { "application": "XXXXX-XXXXX", // required. Pushwoosh application code "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel "platform": 1, // required. 1 — iOS; 3 — Android; 7 — Mac OS X; 8 — Windows; // 9 — Amazon; 10 — Safari; 11 — Chrome; 12 — Firefox; "status": "disable" // required. "disable" or "enable" }}